_SETTINGS:SetPlayerMenuOff()

local tankerLincoln=RECOVERYTANKER:New("CARRIER USS Abraham Lincoln 335.2", "Shell Lincoln")
tankerLincoln:SetTakeoffAir()
tankerLincoln:SetRadio(138.200)
tankerLincoln:SetModex(511)
tankerLincoln:SetTACAN(42,"SL2")
tankerLincoln:__Start(1)

local pedroLincoln=RESCUEHELO:New("CARRIER USS Abraham Lincoln 335.2", "Pedro Lincoln")
pedroLincoln:SetHomeBase(AIRBASE:FindByName("USS Port Royal2"))
pedroLincoln:SetModex(44)
pedroLincoln:__Start(1)
  
local airbossLincoln=AIRBOSS:New("CARRIER USS Abraham Lincoln 335.2")
airbossLincoln:SetSoundfilesFolder("Airboss Soundfiles/")
airbossLincoln:SetDespawnOnEngineShutdown()
airbossLincoln:SetMaxFlightsPerStack(1)
airbossLincoln:SetMaxMarshalStacks(20)
airbossLincoln:SetMaxSectionSize(4)
airbossLincoln:SetLSORadio(335.400)
airbossLincoln:SetMarshalRadio(335.200)
airbossLincoln:SetICLS(12)
airbossLincoln:SetTACAN(72,"X","ABL")
airbossLincoln:SetHandleAIOFF()
airbossLincoln:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossLincoln:SetAirbossNiceGuy(true)
airbossLincoln:SetEmergencyLandings(true)
airbossLincoln:SetPatrolAdInfinitum(true)
airbossLincoln:SetCarrierControlledArea(50)
airbossLincoln:SetMenuRecovery(60, 25, true, 0)
airbossLincoln:SetRadioRelayLSO("Relay Lincoln")
airbossLincoln:SetHoldingOffsetAngle(0)
airbossLincoln:Start()

function tankerLincoln:OnAfterStart(From,Event,To)
  airbossLincoln:SetRecoveryTanker(tankerLincoln)  
end

function pedroLincoln:OnAfterStart(From,Event,To)
  airbossLincoln:SetRadioRelayMarshal(self:GetUnitName())
end